#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Common lib for kdepim
Name:           pimcommon
Epoch:          2
Version: 24.12.2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros
BuildRequires:  xsltproc

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6UiPlugin)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6Purpose)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6TextWidgets)

BuildRequires:  cmake(PlasmaActivities)

BuildRequires:  cmake(KPim6Akonadi) >= 5.240
BuildRequires:  cmake(KPim6AkonadiContactWidgets) >= 5.240
BuildRequires:  cmake(KPim6IMAP)
BuildRequires:  cmake(KPim6LdapWidgets)
BuildRequires:  cmake(KPim6Libkdepim)
BuildRequires:  cmake(KPim6AkonadiSearch)
BuildRequires:  cmake(KPim6AkonadiMime)
BuildRequires:  cmake(KF6CalendarCore)

BuildRequires:  cmake(KF6TextAutoCorrectionWidgets)
BuildRequires:  cmake(KF6TextAddonsWidgets)
BuildRequires:  cmake(KF6TextCustomEditor)

Requires:       purpose


%description
Common lib for kdepim.

%files -f %name.lang
%_kf6_categoriesdir/pimcommon.*categories
%_qt6_plugindir/designer/pimcommon6widgets.so
%_qt6_plugindir/designer/pimcommon6akonadiwidgets.so

#--------------------------------------------------------------------

%define kpimpimcommon_major 6
%define libkpimpimcommon %mklibname kpim6pimcommon %{kpimpimcommon_major}

%package -n %libkpimpimcommon
Summary:        Common lib for kdepim
Group:          System/Libraries
Requires:       %name >= %epoch:%version

%description -n %libkpimpimcommon
Common lib for kdepim.

%files -n %libkpimpimcommon
%_kf6_libdir/libKPim6PimCommon.so.%{kpimpimcommon_major}{,.*}

#--------------------------------------------------------------------

%define kpimpimcommonakonadi_major 6
%define libkpimpimcommonakonadi %mklibname kpim6pimcommonakonadi %{kpimpimcommonakonadi_major}

%package -n %libkpimpimcommonakonadi
Summary:        Common Akonadi lib for kdepim
Group:          System/Libraries
Requires:       %name >= %epoch:%version

%description -n %libkpimpimcommonakonadi
Common Akonadi lib for kdepim.

%files -n %libkpimpimcommonakonadi
%_kf6_libdir/libKPim6PimCommonAkonadi.so.%{kpimpimcommonakonadi_major}{,.*}

#--------------------------------------------------------------------

%define kpimpimcommonactivities_major 6
%define libkpimpimcommonactivities %mklibname kpim6pimcommonactivities %{kpimpimcommonactivities_major}

%package -n %libkpimpimcommonactivities
Summary:        Common Activities lib for kdepim
Group:          System/Libraries
Requires:       %name >= %epoch:%version

%description -n %libkpimpimcommonactivities
Common Activities lib for kdepim.

%files -n %libkpimpimcommonactivities
%_kf6_libdir/libKPim6PimCommonActivities.so.%{kpimpimcommonactivities_major}{,.*}

#--------------------------------------------------------------------

%define kf6pimcommon_devel %mklibname kpim6pimcommon -d

%package -n %kf6pimcommon_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimpimcommon = %epoch:%version-%release
Requires:       %libkpimpimcommonakonadi = %epoch:%version-%release
Requires:       %libkpimpimcommonactivities = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf6pimcommon_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6pimcommon_devel
%_includedir/KPim6/PimCommon/
%_kf6_libdir/libKPim6PimCommon.so
%_kf6_libdir/cmake/KPim6PimCommon/
#
%_includedir/KPim6/PimCommonAkonadi/
%_kf6_libdir/libKPim6PimCommonAkonadi.so
%_kf6_libdir/cmake/KPim6PimCommonAkonadi/
#
%_includedir/KPim6/PimCommonActivities/
%_kf6_libdir/libKPim6PimCommonActivities.so
%_kf6_libdir/cmake/KPim6PimCommonActivities/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Tue Feb 11 2025 daviddavid <daviddavid> 2:24.12.2-1.mga10
+ Revision: 2147282
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 2:24.12.1-1.mga10
+ Revision: 2136679
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 2:24.12.0-1.mga10
+ Revision: 2123924
- New version 24.12.0

* Mon Nov 18 2024 daviddavid <daviddavid> 2:24.11.80-2.mga10
+ Revision: 2117578
- enable PlasmaActivities support

* Sun Nov 17 2024 daviddavid <daviddavid> 2:24.11.80-1.mga10
+ Revision: 2116476
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 2:24.08.3-1.mga10
+ Revision: 2114171
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 2:24.08.2-1.mga10
+ Revision: 2105669
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 2:24.08.1-1.mga10
+ Revision: 2097535
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 2:24.08.0-1.mga10
+ Revision: 2087727
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 2:24.07.90-1.mga10
+ Revision: 2085223
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 2:24.05.1-1.mga10
+ Revision: 2073343
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 2:24.05.0-1.mga10
+ Revision: 2069992
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 2:24.02.2-1.mga10
+ Revision: 2058737
- New version 24.02.2

* Sat Mar 02 2024 neoclust <neoclust> 2:24.02.0-1.mga10
+ Revision: 2046550
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 2:24.01.95-1.mga10
+ Revision: 2037773
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 2:24.01.90-1.mga10
+ Revision: 2033895
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 2:24.01.85-1.mga10
+ Revision: 2025272
- New version 24.01.85

* Fri Nov 17 2023 daviddavid <daviddavid> 2:24.01.75-1.mga10
+ Revision: 2007399
- New version 24.01.75
- switch to Qt6/KF6

* Thu Sep 28 2023 neoclust <neoclust> 2:23.08.1-1.mga10
+ Revision: 1991945
- New version 23.08.1

* Thu Jun 01 2023 daviddavid <daviddavid> 2:23.04.1-2.mga9
+ Revision: 1960481
- obsoletes removed upstream lib(64)kf5pimcommonautocorrection5

* Sat May 27 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1959270
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946601
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941894
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1923016
- New version 22.12.0

* Wed Nov 30 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1913528
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905361
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1886880
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1880865
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873178
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1854068
- New version 22.04.0

* Wed Apr 20 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1852248
- New version 22.03.90

* Sun Dec 26 2021 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1763960
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1724171
- New version 21.04.1

* Sun Apr 25 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1719434
- New version 21.04.0

* Fri Mar 05 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1699810
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694186
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655709
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1644090
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633910
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627149
- New version 20.08.1

* Thu Aug 20 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1616711
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604214
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596951
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1584601
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568228
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559418
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540760
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513393
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1467051
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457996
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447577
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1425084
- New version 19.04.3

* Tue Apr 16 2019 daviddavid <daviddavid> 2:19.04.0-2.mga7
+ Revision: 1391563
- rebuild for arm

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390539
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387757
- New version 19.03.90

* Mon Apr 01 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1383930
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375768
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365662
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356599
- New version 18.12.1

* Thu Dec 20 2018 daviddavid <daviddavid> 2:18.12.0-2.mga7
+ Revision: 1343902
- enable KF5Purpose support

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339604
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332834
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327487
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1300278
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1229153
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201984
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1195006
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1186548
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143140
- New version 17.08.0

* Tue Aug 08 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1138837
- New version 17.07.90

* Wed Jul 26 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131198
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090169
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076911
- New version 16.12.0

* Fri Dec 09 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073762
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067421
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061485
- New version 16.08.2

* Fri Sep 23 2016 neoclust <neoclust> 2:16.08.1-2.mga6
+ Revision: 1055466
- Do not build on armv5tl

* Tue Sep 13 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1051946
- New version 16.08.1

* Wed Aug 24 2016 daviddavid <daviddavid> 2:16.08.0-3.mga6
+ Revision: 1048094
- do not required kdepim-addons because of circular dependencies

* Mon Aug 22 2016 daviddavid <daviddavid> 2:16.08.0-2.mga6
+ Revision: 1047846
- do not versioned required kdepim-addons

* Mon Aug 22 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1047841
- New version 16.08.0

* Sun Jul 24 2016 daviddavid <daviddavid> 2:16.04.3-2.mga6
+ Revision: 1043506
- add kdepim-addons as a Requires (fixes mga#18650)

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040152
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012642
- New version 16.04.1

* Thu May 05 2016 neoclust <neoclust> 2:16.04.0-2.mga6
+ Revision: 1009598
- Add epoch to ease upgrade

* Mon Apr 25 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1005979
- New version 16.04.0

* Mon Apr 18 2016 neoclust <neoclust> 16.03.80-3.mga6
+ Revision: 1003372
- Fix package name

* Wed Mar 30 2016 neoclust <neoclust> 16.03.80-2.mga6
+ Revision: 996845
- Add Require on main package in lib
- imported package pimcommon

